Interface Technology Basics VST 3.7 SDK for developing VST plug-in

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups
Namespaces | Typedefs | Enumerations | Functions
ucolorspec.h File Reference
`#include "pluginterfaces/base/ftypes.h"`

## Namespaces
namespace | Steinberg
| This header provides classes for working with FUnknown.

## Typedefs
typedef uint32 | ColorSpec
typedef uint8 | ColorComponent
typedef ColorSpec | UColorSpec
typedef ColorComponent | UColorComponent

## Enumerations
enum | StandardColor { kBlack = 0, kWhite, kGray5, kGray10, kGray20, kGray30, kGray40, kGray50, kGray60, kGray70, kGray80, kGray90, kRed, kLtRed, kDkRed, kGreen, kLtGreen, kDkGreen, kBlue, kLtBlue, kDkBlue, kMagenta, kLtMagenta, kDkMagenta, kYellow, kLtYellow, kDkYellow, kOrange, kLtOrange, kDkOrange, kGold, kBlack50, kBlack70, kNumStandardColors, kLtGray = kGray20, kGray = kGray50, kDkGray = kGray70 }

## Functions
SMTG_CONSTEXPR ColorSpec | MakeColorSpec (ColorComponent r, ColorComponent g, ColorComponent b)
| Create color specifier with RGB values (alpha is opaque)
SMTG_CONSTEXPR ColorSpec | MakeColorSpec (ColorComponent r, ColorComponent g, ColorComponent b, ColorComponent a)
| Create color specifier with RGBA values.
SMTG_CONSTEXPR ColorComponent | GetBlue (ColorSpec cs)
SMTG_CONSTEXPR ColorComponent | GetGreen (ColorSpec cs)
SMTG_CONSTEXPR ColorComponent | GetRed (ColorSpec cs)
SMTG_CONSTEXPR ColorComponent | GetAlpha (ColorSpec cs)
void | SetBlue (ColorSpec &argb, ColorComponent b)
void | SetGreen (ColorSpec &argb, ColorComponent g)
void | SetRed (ColorSpec &argb, ColorComponent r)
void | SetAlpha (ColorSpec &argb, ColorComponent a)
double | NormalizeColorComponent (ColorComponent c)
| Normalized color components.
ColorComponent | DenormalizeColorComponent (double c)
void | SetAlphaNorm (ColorSpec &argb, double a)
double | GetAlphaNorm (ColorSpec cs)
double | NormalizeAlpha (uint8 alpha)
ColorComponent | DenormalizeAlpha (double alphaNorm)
ColorSpec | StripAlpha (ColorSpec argb)
| }
ColorSpec SMTG_CONSTEXPR | BlendColor (ColorSpec color, double opacity)

Empty

Copyright ©2024 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.